# Class DoubleGeneric<T>

java.lang.Object
com.ryanharter.auto.value.gson.example.wildgenerics.GenericBase<T>
com.ryanharter.auto.value.gson.example.wildgenerics.DoubleGeneric<T>

public abstract class DoubleGeneric<T> extends GenericBase<T>

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`DoubleGeneric.Builder<T>`

## Constructor Summary

Constructors
Constructor
Description
`DoubleGeneric()`

## Method Summary

Modifier and Type
Method
Description
`static <T> DoubleGeneric.Builder<T>`
`builder()`
`abstract T`
`topLevelGeneric()`
`abstract List<T>`
`topLevelGenericCollection()`
`abstract String`
`topLevelNonGeneric()`

### Methods inherited from class GenericBase

`collection, generic, notGeneric`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DoubleGeneric

public DoubleGeneric()

## Method Details

### topLevelNonGeneric

public abstract String topLevelNonGeneric()

### topLevelGeneric

public abstract T topLevelGeneric()

### topLevelGenericCollection

public abstract List<T> topLevelGenericCollection()

### builder

public static <T> DoubleGeneric.Builder<T> builder()